Skip to content

Template Connector.

GET
/api/shape/bot/namespaces/{namespace}/protected_applications/{name}/template
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/protected_applications/example/template \
--header 'Authorization: <Authorization>'

GET iApp template.

Examples of this operation.

namespace
required
string

Namespace namespace is used to scope the query.

name
required
string

Application Name Protected application name.

A successful response.

Media typeapplication/json
TemplateConnectorResponse

Response for iApp template connector.

object
name
Template Connector name

IApp template connector file name.

string
>= 6 characters <= 1024 characters
template
Template Connector

IApp template connector.

string
<= 1024 characters
Examplegenerated
{
"name": "example",
"template": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example